diff --git a/src/backend/statistics/dependencies.c b/src/backend/statistics/dependencies.c
index 0b26e4166d..d2464381c4 100644
--- a/src/backend/statistics/dependencies.c
+++ b/src/backend/statistics/dependencies.c
@@ -534,9 +534,9 @@ statext_dependencies_deserialize(bytea *data)
 			 dependencies->type, STATS_DEPS_TYPE_BASIC);
 
 	if (dependencies->ndeps == 0)
-		ereport(ERROR,
-				(errcode(ERRCODE_DATA_CORRUPTED),
-				 errmsg("invalid zero-length item array in MVDependencies")));
+		elog(ERROR,
+			 (errcode(ERRCODE_DATA_CORRUPTED),
+			  errmsg("invalid zero-length item array in MVDependencies")));
 
 	/* what minimum bytea size do we expect for those parameters */
 	min_expected_size = SizeOfItem(dependencies->ndeps);
diff --git a/src/backend/statistics/mvdistinct.c b/src/backend/statistics/mvdistinct.c
index 133503cb9b..fa410c95c6 100644
--- a/src/backend/statistics/mvdistinct.c
+++ b/src/backend/statistics/mvdistinct.c
@@ -274,27 +274,27 @@ statext_ndistinct_deserialize(bytea *data)
 	tmp += sizeof(uint32);
 
 	if (ndist.magic != STATS_NDISTINCT_MAGIC)
-		ereport(ERROR,
-				(errcode(ERRCODE_DATA_CORRUPTED),
-				 errmsg("invalid ndistinct magic %08x (expected %08x)",
-						ndist.magic, STATS_NDISTINCT_MAGIC)));
+		elog(ERROR,
+			 (errcode(ERRCODE_DATA_CORRUPTED),
+			  errmsg("invalid ndistinct magic %08x (expected %08x)",
+					 ndist.magic, STATS_NDISTINCT_MAGIC)));
 	if (ndist.type != STATS_NDISTINCT_TYPE_BASIC)
-		ereport(ERROR,
-				(errcode(ERRCODE_DATA_CORRUPTED),
-				 errmsg("invalid ndistinct type %d (expected %d)",
-						ndist.type, STATS_NDISTINCT_TYPE_BASIC)));
+		elog(ERROR,
+			 (errcode(ERRCODE_DATA_CORRUPTED),
+			  errmsg("invalid ndistinct type %d (expected %d)",
+					 ndist.type, STATS_NDISTINCT_TYPE_BASIC)));
 	if (ndist.nitems == 0)
-		ereport(ERROR,
-				(errcode(ERRCODE_DATA_CORRUPTED),
-				 errmsg("invalid zero-length item array in MVNDistinct")));
+		elog(ERROR,
+			 (errcode(ERRCODE_DATA_CORRUPTED),
+			  errmsg("invalid zero-length item array in MVNDistinct")));
 
 	/* what minimum bytea size do we expect for those parameters */
 	minimum_size = MinSizeOfItems(ndist.nitems);
 	if (VARSIZE_ANY_EXHDR(data) < minimum_size)
-		ereport(ERROR,
-				(errcode(ERRCODE_DATA_CORRUPTED),
-				 errmsg("invalid MVNDistinct size %zd (expected at least %zd)",
-						VARSIZE_ANY_EXHDR(data), minimum_size)));
+		elog(ERROR,
+			 (errcode(ERRCODE_DATA_CORRUPTED),
+			  errmsg("invalid MVNDistinct size %zd (expected at least %zd)",
+					 VARSIZE_ANY_EXHDR(data), minimum_size)));
 
 	/*
 	 * Allocate space for the ndistinct items (no space for each item's
